ClassicCountFunction (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.dialect.function
Class ClassicCountFunction

    java.lang.Object
      org.hibernate.dialect.function.StandardSQLFunction
          org.hibernate.dialect.function.ClassicCountFunction

All Implemented Interfaces:
  SQLFunction

    public class ClassicCountFunction

extends StandardSQLFunction

Classic COUNT sqlfunction that return types as it was done in Hibernate 3.1

Constructor Summary
`ClassicCountFunction()`

Method Summary
`Type` | `getReturnType(Type columnType, Mapping mapping)` The return type of the function.

Methods inherited from class org.hibernate.dialect.function.StandardSQLFunction
`getName, getType, hasArguments, hasParenthesesIfNoArguments, render, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassicCountFunction

    public ClassicCountFunction()

Method Detail

### getReturnType

    public Type getReturnType(Type columnType,
                              Mapping mapping)

  Description copied from class: `StandardSQLFunction`
  The return type of the function. May be either a concrete type which is preset, or variable depending upon the type of the first function argument.

  Note, the 'firstArgumentType' parameter should match the one passed into `SQLFunction.render(org.hibernate.type.Type, java.util.List, org.hibernate.engine.spi.SessionFactoryImplementor)`

  Specified by:
    `getReturnType` in interface `SQLFunction`
  Overrides:
    `getReturnType` in class `StandardSQLFunction`
  Parameters:
    `columnType` - The type of the first argument
    `mapping` - The mapping source.
  Returns:
    The type to be expected as a return.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.